Face Class

class NXOpen.Face

Bases: NXOpen.DisplayableObject, NXOpen.ISurface, NXOpen.IReferenceAxis, NXOpen.IProfile, NXOpen.IOrientation, NXOpen.IParameterizedSurface

Represents a face

New in version NX3.0.0.

Properties

Property Description
Color Returns or sets the color of the object.
IsBlanked Returns the blank status of this object.
IsOccurrence Returns whether this object is an occurrence or not.
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Layer Returns or sets the layer that the object is in.
LineFont Returns or sets the line font of the object.
LineWidth Returns or sets the line width of the object.
Name Returns the custom name of the object.
NameLocation Returns the location of the object’s name.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Prototype Returns the prototype of this object if it is an occurrence.
SolidFaceType Returns the Parasolid type of the face
Tag Returns the Tag for this object.

Methods

Method Description
Blank Blanks the object.
CreateAttributeIterator Create an attribute iterator
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
DestroyOwnedFacets Destroys all IFacet objects owned by this face.
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBody Returns the body containing this face
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetEdges Returns the edges in the face
GetFirstFacetOnFace Returns first facet on convergent face.
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetNextFacet Returns a facet next to the input facet on a convergent face.
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetNumberOfFacets Returns the number of facets on a convergent face.
GetNumberOfVertices Returns the number of vertices on this convergent face.
GetPdmReferenceAttributeValue Gets the value of PDM Reference attribute for given object.
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetUnsortedEdges Returns the edges in the face
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator
Highlight Highlights the object.
Print Prints a representation of this object to the system log file.
RedisplayObject Redisplays the object in all views.
RemoveViewDependency Remove dependency on all views from an object.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetName Sets the custom name of the object.
SetNameLocation Sets the location of the object’s name.
SetPdmReferenceAttribute Sets the value of PDM Reference attribute on the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
Unblank Unblanks the object.
Unhighlight Unhighlights the object.

Enumerations

FaceFaceType Enumeration Solid face type.

Property Detail

IsOccurrence

Face.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

Face.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Name

Face.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

Face.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

Face.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

Face.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

SolidFaceType

Face.SolidFaceType

Returns the Parasolid type of the face

-------------------------------------

Getter Method

Signature SolidFaceType

Returns:
Return type:NXOpen.FaceFaceType

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Method Detail

DestroyOwnedFacets

Face.DestroyOwnedFacets

Destroys all IFacet objects owned by this face.

Please note that this method does not geometrically delete a facet from its surface mesh leaving a hole. It only deletes the tagged object created to represent the individual facet.

Signature DestroyOwnedFacets()

New in version NX12.0.0.

License requirements: None.

FindObject

Face.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

GetBody

Face.GetBody

Returns the body containing this face

Signature GetBody()

Returns:
Return type:NXOpen.Body

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetEdges

Face.GetEdges

Returns the edges in the face

The edges are sorted according to the journal identifier of the edge.

Signature GetEdges()

Returns:
Return type:list of NXOpen.Edge

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetFirstFacetOnFace

Face.GetFirstFacetOnFace

Returns first facet on convergent face.

This method is valid only for convergent faces. If this face is not a convergent face, then an error is returned.

Signature GetFirstFacetOnFace()

Returns:the first facet on a face.
Return type:NXOpen.ConvergentFacet

New in version NX11.0.2.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetNextFacet

Face.GetNextFacet

Returns a facet next to the input facet on a convergent face.

Note that, the next facet is the facet immediately next to the given facet in an internal ordered sequence of facets. It is not necessarily adjacent to the given facet. If the input facet is the last facet on the face, then None is returned. This method is valid only for convergent faces. If this face is not a convergent face, then an error is returned.

Signature GetNextFacet(inputFacet)

Parameters:inputFacet (NXOpen.ConvergentFacet) – the input facet, next to which facet is to find.
Returns:the next facet.
Return type:NXOpen.ConvergentFacet

New in version NX11.0.2.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetNumberOfFacets

Face.GetNumberOfFacets

Returns the number of facets on a convergent face.

This method is valid only for convergent faces. If this face is not a convergent face, then an error is returned

Signature GetNumberOfFacets()

Returns:the number of facets on a face
Return type:int

New in version NX11.0.2.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetNumberOfVertices

Face.GetNumberOfVertices

Returns the number of vertices on this convergent face.

This method is valid only for convergent faces. If this face is not a convergent face, then an error is returned.

Signature GetNumberOfVertices()

Returns:the number of vertices on a face
Return type:int

New in version NX11.0.2.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetUnsortedEdges

Face.GetUnsortedEdges

Returns the edges in the face

The edges returned from this method are in no guaranteed order. This method will be faster than NXOpen.Face.GetEdges().

Signature GetUnsortedEdges()

Returns:
Return type:list of NXOpen.Edge

New in version NX12.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Print

Face.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

SetName

Face.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.